import { App, AppStatus } from './types';

const transformAppStatus = (status: string) => {
  switch (status) {
    case 'installed':
      return AppStatus.Installed;
    case 'installing':
      return AppStatus.Installing;
    case 'not_installed':
      return AppStatus.NotInstalled;
    default:
      return AppStatus.NotInstalled;
  }
};

export const transformApp = (response: any): App => {
  return {
    id: response.id ?? '',
    name: response.name ?? '',
    slug: response.slug ?? '',
    status: transformAppStatus(response.status),
    subdomain: response.subdomain,
    automaticUpdates: response.automatic_updates,
  };
};

export const transformAppRequest = (data: App) => {
  return {
    automatic_updates: data.automaticUpdates,
    configuration: data.configuration,
  };
};

export const transformInstallAppRequest = (data: App) => {
  return {
    subdomain: data.subdomain,
    configuration: data.configuration,
  };
};
